vos restore                AFS Commands             vos restore


NAME

   vos restore -- convert ASCII file into proper volume format

                       and
                       place it into the file system.


   vos restore  -server <machine name>  -partition <partition
   name>        -name <name of volume to restore>  [-file <dump
   file>]      [-id <volume ID>]  [-cell <cell name>]
   [-noauth]  [-localauth]
   [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos res  -s <machine name>  -p <partition name>
   -na <name of volume to be restored>  [-f <dump file>]  [-i
   <volume ID>]
   [-c <cell name>]  [-no]  [-l]  [-v]  [-h]

DESCRIPTION

   Converts the dump file indicated with -file from ASCII  into
   the  volume  format appropriate for the machine specified as
   -server, and restores it as a ReadWrite volume to  the  site
   specified by -server and -partition.  It assigns it the name
   indicated with -name,  and  resets  the  volume's  "creation
   date,"  stored  in  the  volume header, to match the restore
   time.  If -file is not provided,  the  issuer  must  provide
   input  from  standard  input  (stdin),  presumably through a
   pipe.

   The issuer may optionally specify a volumeID number as  -id,
   but  this  is  not  generally recommended; the Volume Server
   allocates one otherwise.  If used, it  should  be  a  number
   that  the  issuer  knows  is  available and has a particular
   reason for using.

   If the name indicated is the name of an existing (ReadWrite)
   volume,  the  contents  of  the dump file will overwrite the
   existing volume, after the command interpreter  prompts  for
   confirmation  that  this  is acceptable.  The volume retains
   its current volumeID number.

ARGUMENTS

   -server         names the file server machine onto which  to
                   restore  the  volume.   Abbreviated forms of
                   machine names may be  allowed  depending  on
                   the naming service available at the time the
                   command is  issued;  see  page  xii  in  the
                   introductory   About  This  Manual  chapter.
                   -partition
                   names  the  partition  onto which to restore
                   the volume.  In addition to the full /vicepx
                   form  of  a  partition  name,  three shorter
                   forms are acceptable; see page  xii  in  the
                   introductory   About  This  Manual  chapter.
                   -name
                   specifies  the  name  under which to restore



                   the volume.   If  a  volume  already  exists
                   under  that  name,  it  will  be overwritten
                   after   the   issuer   is    prompted    for
                   confirmation.

   -file           names the dump file the Volume Server should
                   restore.  If the issuer provides a  full  or
                   relative  pathname,  the Volume Server looks
                   for the file there; otherwise  it  looks  in
                   the  current  working  directory.    If  the
                   issuer does not provide this argument, he or
                   she  must  provide  input  through  standard
                   input (stdin).

   -id             specifies the volumeID number to  assign  to
                   the restored volume.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLE

   The  following  restores  the  contents  of  the  dump  file
   /afs/transarc.com/common/dumps/terry.dump  to  the   /vicepc
   partition  on  fs3.transarc.com.    The  restored  volume is
   called user.terry.

   % cd /afs/transarc.com/common/dumps  % vos res terry.dump
   fs3.transarc.com c user.terry

PRIVILEGE REQUIRED

   Issuer must be listed in /usr/afs/etc/UserList on -server.

MORE INFORMATION

   vos dump vos examine

   vos listvol
